> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cloudraker.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cloudraker.com/_mcp/server.

# List project files

GET /api/projects/{projectId}/files

Returns a keyset page of the project's files. Supports filtering by folder/Inbox, tags (`tags` AND-list, `tag` nested-resolution), MIME, filename (`q`), and run usage, plus `limit`/`cursor` pagination and `?archived=true`.

Reference: https://docs.cloudraker.com/api/raker-one-api/files/get-projects-by-project-id-files

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: RakerOne API
  version: 1.0.0
paths:
  /projects/{projectId}/files:
    get:
      operationId: get-projects-by-project-id-files
      summary: List project files
      description: >-
        Returns a keyset page of the project's files. Supports filtering by
        folder/Inbox, tags (`tags` AND-list, `tag` nested-resolution), MIME,
        filename (`q`), and run usage, plus `limit`/`cursor` pagination and
        `?archived=true`.
      tags:
        - subpackage_files
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
        - name: folderId
          in: query
          required: false
          schema:
            type: string
        - name: inbox
          in: query
          required: false
          schema:
            type: string
        - name: tag
          in: query
          required: false
          schema:
            type: string
        - name: tags
          in: query
          required: false
          schema:
            type: string
        - name: mime
          in: query
          required: false
          schema:
            type: string
        - name: q
          in: query
          required: false
          schema:
            type: string
        - name: usedInRunId
          in: query
          required: false
          schema:
            type: string
        - name: archived
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: integer
        - name: cursor
          in: query
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            WorkOS session JWT or an organization API key, sent as
            `Authorization: Bearer <token>`.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A page of files.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileList'
        '400':
          description: Invalid pagination cursor.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized — missing or invalid bearer token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
servers:
  - url: /api
    description: Current origin
  - url: https://app.raker.one/api
    description: Production
components:
  schemas:
    File:
      type: object
      properties:
        _id:
          type: string
        projectId:
          type: string
        filename:
          type: string
        mimeType:
          type: string
        sizeBytes:
          type: number
          format: double
        r2Key:
          type: string
        thumbnailR2Key:
          type:
            - string
            - 'null'
        uploadedBy:
          type: string
        uploadedAt:
          type: string
        usedInRunIds:
          type: array
          items:
            type: string
        uploadedInRunId:
          type:
            - string
            - 'null'
        derivedFromFileId:
          type:
            - string
            - 'null'
        folderId:
          type:
            - string
            - 'null'
        tags:
          type: array
          items:
            type: string
        archivedAt:
          type:
            - string
            - 'null'
      required:
        - _id
        - projectId
        - filename
        - mimeType
        - sizeBytes
        - r2Key
        - thumbnailR2Key
        - uploadedBy
        - uploadedAt
        - usedInRunIds
        - uploadedInRunId
        - derivedFromFileId
        - tags
        - archivedAt
      title: File
    FileList:
      type: object
      properties:
        files:
          type: array
          items:
            $ref: '#/components/schemas/File'
        nextCursor:
          type:
            - string
            - 'null'
      required:
        - files
        - nextCursor
      title: FileList
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Machine-readable error code (e.g. `invalid_body`, `not_found`).
        issues:
          type: array
          items:
            description: Any type
          description: Schema-validation issues, present when `error` is `invalid_body`.
      required:
        - error
      description: Standard API error response.
      title: ErrorResponse
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        WorkOS session JWT or an organization API key, sent as `Authorization:
        Bearer <token>`.

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "files": [
    {
      "_id": "f8a1c2d4-3b7e-4f9a-9d2e-1a2b3c4d5e6f",
      "projectId": "proj_9f8e7d6c5b4a3210",
      "filename": "project_overview.pdf",
      "mimeType": "application/pdf",
      "sizeBytes": 245760,
      "r2Key": "files/proj_9f8e7d6c5b4a3210/project_overview.pdf",
      "thumbnailR2Key": "thumbnails/proj_9f8e7d6c5b4a3210/project_overview_thumb.png",
      "uploadedBy": "user_12345",
      "uploadedAt": "2024-06-10T15:22:30Z",
      "usedInRunIds": [
        "run_20240610_001"
      ],
      "uploadedInRunId": "run_20240610_001",
      "derivedFromFileId": null,
      "tags": [
        "documentation",
        "overview"
      ],
      "archivedAt": null,
      "folderId": "folder_abc123"
    }
  ],
  "nextCursor": "eyJpZCI6ImY4YTFjMmQ0LTNiN2UtNGY5YS05ZDJlLTFhMmIzYzRkNWU2ZiIsImRhdGUiOiIyMDI0LTA2LTEwVDE1OjIyOjMwWiJ9"
}
```

**SDK Code**

```python
import requests

url = "https://api/projects/projectId/files"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api/projects/projectId/files';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api/projects/projectId/files"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api/projects/projectId/files")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api/projects/projectId/files")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api/projects/projectId/files', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api/projects/projectId/files");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api/projects/projectId/files")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```